Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.file.nw
Interface NetwareDirectory

public interface NetwareDirectory
extends NetwareFile

Provides an interface for getting the Directory object attribute values.

The associated Directory object attribute values include Directory Space Information.

Method Summary
`DirectorySpaceInformation` | `getDirectorySpaceInformation()` Returns the DirectorySpaceInformation object associated with this file.
`void` | `setDirectorySpaceInformation(DirectorySpaceInformation dsi, int mod_op)` Modifies the back end DirectorySpaceInformation object associated with this directory.

Methods inherited from interface com.novell.service.file.nw.NetwareFile
`getDirectoryEntryInformation, getEAEnumerator, getEffectiveRights, getTrusteeEnumerator, setDirectoryEntryInformation, setExtendedAttribute, setTrustee`

Methods inherited from interface com.novell.java.io.NFile
`lastModified, length`

Method Detail

### getDirectorySpaceInformation

    public DirectorySpaceInformation getDirectorySpaceInformation()
                                                           throws com.novell.service.jncp.NSIException

  Returns the DirectorySpaceInformation object associated with this file.
  Returns:
    The DirectorySpaceInformation object.
  Throws:
    com.novell.service.jncp.NSIException - when there is an error in getting the DirectorySpaceInformation object.

### setDirectorySpaceInformation

    public void setDirectorySpaceInformation(DirectorySpaceInformation dsi,
                                             int mod_op)
                                      throws com.novell.service.jncp.NSIException

  Modifies the back end DirectorySpaceInformation object associated with this directory.
  Parameters:
    `dsi` - The DirectorySpaceInformation modify value.
    `mod_op` - The modification to preform if the attribute is part of the set; valid values are DirContext.REPLACE_ATTRIBUTE.
  Throws:
    com.novell.service.jncp.NSIException - when there is an error in setting the DirectorySpaceInformation object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD